module Stats exposing (..)

import Sphere exposing (Sphere)
import BoundedInt exposing (BoundedInt)

type alias Stats =
    { spheres : List Sphere
    , arete : BoundedInt
    }

new : Stats
new =
    { spheres = 
        [   { name = "Correspondence"
            , dots = Sphere.dots 0
            , affinity = False
            }
        ,   { name = "Entropy"
            , dots = Sphere.dots 0
            , affinity = False
            }
        ,   { name = "Forces"
            , dots = Sphere.dots 0
            , affinity = False
            }
        ,   { name = "Life"
            , dots = Sphere.dots 0
            , affinity = False
            }
        ,   { name = "Matter"
            , dots = Sphere.dots 0
            , affinity = False
            }
        ,   { name = "Mind"
            , dots = Sphere.dots 0
            , affinity = False
            }
        ,   { name = "Prime"
            , dots = Sphere.dots 0
            , affinity = False
            }
        ,   { name = "Spirit"
            , dots = Sphere.dots 0
            , affinity = False
            }
        ,   { name = "Time"
            , dots = Sphere.dots 0
            , affinity = False
            }
        ]
    , arete = BoundedInt.new 1 0 10
    }

changeSphere : Stats -> Sphere -> Stats
changeSphere stats sphere =
    { stats | spheres = Sphere.changeSphereInList stats.spheres sphere }